cURL
curl --request POST \
--url 'https://www.anyfast.ai/v1beta/models/gemini-2.5-flash:generateContent?key=<token>' \
--header 'Content-Type: application/json' \
--data '
{
"contents": [
{
"role": "user",
"parts": [
{
"text": "What is the weather in Chongqing today?"
}
]
}
],
"tools": [
{
"googleSearch": {}
}
]
}
'import requests
url = "https://www.anyfast.ai/v1beta/models/gemini-2.5-flash:generateContent"
payload = {
"contents": [
{
"role": "user",
"parts": [{ "text": "What is the weather in Chongqing today?" }]
}
],
"tools": [{ "googleSearch": {} }]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
contents: [{role: 'user', parts: [{text: 'What is the weather in Chongqing today?'}]}],
tools: [{googleSearch: {}}]
})
};
fetch('https://www.anyfast.ai/v1beta/models/gemini-2.5-flash:generateContent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"candidates": [
{
"content": {
"parts": [
{
"text": "Based on search results, the weather in Chongqing today..."
}
],
"role": "model"
},
"finishReason": "STOP",
"groundingMetadata": {
"searchEntryPoint": {},
"groundingChunks": [
{}
]
}
}
],
"usageMetadata": {
"promptTokenCount": 123,
"candidatesTokenCount": 123,
"totalTokenCount": 123
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>"
}
}Google
gemini-2.5-flash
Generate response using Gemini model with Google Search grounding.
POST
/
v1beta
/
models
/
gemini-2.5-flash:generateContent
cURL
Query Parameters
API Key
Body
application/json
Was this page helpful?
⌘I